Name:           python-rdomanager-oscplugin
Version:        0.0.10
Release:        8%{?dist}
Summary:        OpenstackClient plugin for RDO Manager

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-rdomanager-oscplugin
Source0:        https://pypi.python.org/packages/source/p/python-rdomanager-oscplugin/python-rdomanager-oscplugin-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Actually-call-_validate_args-to-check-for-network-ty.patch
Patch0002: 0002-Fix-checking-of-available-nodes.patch
Patch0003: 0003-rhbz-1262059-include-bigswitch-packages-by-default.patch
Patch0004: 0004-Also-disallow-tunnel-types-without-network-type.patch
Patch0005: 0005-rhbz-1244864-change-default-to-vxlan.patch
Patch0006: 0006-rhbz-1259488-fix-cisco-networking-rpm-name.patch
Patch0007: 0007-Don-t-send-default-environment-file-on-stack-update.patch
Patch0008: 0008-If-neutron-tunneling-is-disabled-do-not-throw-an-err.patch
Patch0009: 0009-Change-RHEL-subscription-template-path.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires:       instack
Requires:       instack-undercloud
Requires:       python-ironic-discoverd
Requires:       python-ironicclient
Requires:       python-openstackclient
#Requires:       sos
Requires:       openstack-tripleo-common

%description
python-rdomanager-oscplugin is a Python plugin to OpenstackClient
for RDO Manager <https://github.com/rdo-management>.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{python2_sitelib}/rdomanager_oscplugin*
%{python2_sitelib}/python_rdomanager_oscplugin*
%doc LICENSE README.rst

%changelog
* Thu Oct 01 2015 Mike Burns <mburns@redhat.com> 0.0.10-8
- Change RHEL subscription template path rhbz#1266082

* Wed Sep 30 2015 Mike Burns <mburns@redhat.com> 0.0.10-7
- If neutron tunneling is disabled, do not throw an error on validation
  rhbz#1266911

* Fri Sep 25 2015 Mike Burns <mburns@redhat.com> 0.0.10-6
- Don't send default environment file on stack update rhbz#1265010

* Fri Sep 18 2015 Mike Burns <mburns@redhat.com> 0.0.10-5
- rhbz#1259488 fix cisco networking rpm name

* Thu Sep 17 2015 Mike Burns <mburns@redhat.com> 0.0.10-4
- rhbz#1244864 change default to vxlan
- Also disallow tunnel types without network type rhbz#1244893

* Fri Sep 11 2015 Mike Burns <mburns@redhat.com> 0.0.10-3
- rhbz#1262059 include bigswitch packages by default

* Wed Sep 09 2015 Mike Burns <mburns@redhat.com> 0.0.10-2
- Fix checking of available nodes rhbz#1260991
- Actually call _validate_args to check for network types mismatch rhbz#1244893

* Thu Sep 03 2015 Brad P. Crochet <brad@redhat.com> 0.0.10-1
- Update to upstream 0.0.10
- Install cisco networking packages rhbz#1259488
- Check available nodes count before deployment rhbz#1231777
- Fix pre-deployment hypervisor check rhbz#1231777
- Validate flavors and deploy images during overcloud deploy
- Assert that network type is in tunnel types rhbz#1244893
- Change libvirt default to kvm rhbz#1243601
- Passing in the path to known_hosts explicitly rhbz#1252255

* Wed Sep 02 2015 Mike Burns <mburns@redhat.com> 0.0.9-2
- Print output for overcloud image upload rhbz#1236663
- Overcloud image upload update images rhbz#1243829
- When a stack Create/Update fails, output the status_reason rhbz#1243062
- Generate partial tempest configuration during post-deploy
  rhbz#1243825 rhbz#1249640
- Add command option descriptions rhbz#1241668

* Tue Sep 01 2015 Brad P. Crochet <brad@redhat.com> 0.0.9-1
- Update to upstream 0.0.9 (rhbz#1243015)

* Wed Aug 05 2015 Mike Burns <mburns@redhat.com> 0.0.8-44
- rhbz#1247585 Don't assume storage backend choices even when using Ceph
- rhbz#1247585 Don't set storage params when not deploying Ceph

* Wed Jul 22 2015 James Slagle <jslagle@redhat.com> 0.0.8-43
- Revert "Separate private and public endpoints for keystone"

* Wed Jul 22 2015 Mike Burns <mburns@redhat.com> 0.0.8-42
- rhbz#1244913 - Ensure scaling params are reset rhbz#1244969
- Separate private and public endpoints for keystone rhbz#1236136
- rhbz#1244810 - Skip parameters that do not make sense for scaling
- Fix RHEL registration regression rhbz#1231214
- rhbz#1243274 - Enable Ceph as a Glance Backend when using THT

* Fri Jul 17 2015 Mike Burns <mburns@redhat.com> 0.0.8-41
- rhbz#1243365 Add --timeout to provide an optional timeout to Heat

* Thu Jul 16 2015 Mike Burns <mburns@redhat.com> 0.0.8-40
- rhbz#1236136 - Pass the public_host option when setting up endpoints
- rhbz#1236136 - Ensure horizon endpoint data is complete

* Thu Jul 16 2015 Mike Burns <mburns@redhat.com> 0.0.8-39
- rhbz#1243846 Check both THT and Tuskar parmaters for the number of controllers

* Wed Jul 15 2015 Mike Burns <mburns@redhat.com> 0.0.8-38
- rhbz#1235748 : Pass HeatStackDomainAdminPassword through to heat

* Wed Jul 15 2015 Mike Burns <mburns@redhat.com> 0.0.8-37
- Wires up NeutronDhcpAgentsPerNetwork parameter to deploy rhbz#1236578

* Wed Jul 15 2015 Mike Burns <mburns@redhat.com> 0.0.8-36
- Allow passing extra env files to "overcloud node delete" command rhbz#1242990
- Allow running "overcloud node delete" with heat templates directly rhbz#1242989
- Allow passing extra env files to package update command rhbz#1242973
- Allow running package update with heat templates directly rhbz#1242967

* Tue Jul 14 2015 Mike Burns <mburns@redhat.com> 0.0.8-35
- rhbz#1243016 - Remove the redundtant --plan-uuid
- rhbz#1243016 - Remove the redundant --use-tripleo-heat-templates
- Add missing re import rhbz#1241583
- BZ #1241583: Remove network configuration from post config

* Tue Jul 14 2015 Mike Burns <mburns@redhat.com> 0.0.8-34
- Configure service endpoints individually rhbz#1236136

* Tue Jul 14 2015 Mike Burns <mburns@redhat.com> 0.0.8-33
- Consolodate --use-t-h-t and --template-root into --templates rhbz#1240101
- Add --template-root option to allow loading t-h-t from custom locations rhbz#1240101

* Mon Jul 13 2015 Mike Burns <mburns@redhat.com> 0.0.8-32
- Revert "rhbz#1235748 : Pass HeatStackDomainAdminPassword through to heat"

* Fri Jul 10 2015 Mike Burns <mburns@redhat.com> 0.0.8-31
- BZ #1241271 Honor a no_proxy setting for overcloud postdeploy
- Add deployer-input option to overcloud validate rhbz#1230840

* Thu Jul 09 2015 Mike Burns <mburns@redhat.com> 0.0.8-30
- Expose the --neutron-tunnel-id-ranges --neutron-vni-ranges options
- Add a CLI arg to expose NeutronMechanismDrivers in the deploy command

* Thu Jul 09 2015 Mike Burns <mburns@redhat.com> 0.0.8-29
- Set nodes to AVAILABLE after discovery finishes rhbz#1240679

* Wed Jul 08 2015 Mike Burns <mburns@redhat.com> 0.0.8-28
- rhbz#1240123 rhbz#1240461 Updating overcloud should reuse heat parameters

* Tue Jul 07 2015 Mike Burns <mburns@redhat.com> 0.0.8-27
- rhbz#1193922 Fixes post-deployment init

* Tue Jul 07 2015 Mike Burns <mburns@redhat.com> 0.0.8-26
- Add sos to overcloud-full image rhbz#1238821

* Tue Jul 07 2015 Mike Burns <mburns@redhat.com> 0.0.8-25
- rhbz#1238217 Add --external-net-segementation-id to deploy

* Tue Jul 07 2015 Mike Burns <mburns@redhat.com> 0.0.8-24
- rhbz#1235748 : Pass HeatStackDomainAdminPassword through to heat
- rhbz#1239110 Add skipfile options to openstack validate cli

* Tue Jul 07 2015 Mike Burns <mburns@redhat.com> 0.0.8-23
- BZ #1235314: --floating-id-cidr should be --floating-ip-cidr
- Support os_cacert
- rhbz#1238117 Increase the sleep time while trying to get neutron l3 agents
- Add RHEL registration to the CLI
- Better error message if you forget the plan parameter
- Revert "Add RHEL registration to the CLI"

* Mon Jul 06 2015 Mike Burns <mburns@redhat.com> 0.0.8-22
- Support os_cacert rhbz#1230890

* Mon Jul 06 2015 Mike Burns <mburns@redhat.com> 0.0.8-21
- rhbz#1238117 Increase the sleep time while trying to get neutron l3 agents
- Add RHEL registration to the CLI
- Better error message if you forget the plan parameter
- Revert "Add RHEL registration to the CLI"
- Add RHEL registration to the CLI
- Check at least 2 l3 agents before trying to initialize neutron

* Mon Jul 06 2015 John Trowbridge <trown@redhat.com> 0.0.8-20
- Add RHEL registration to the CLI
- Better error message if you forget the plan parameter
- Revert "Add RHEL registration to the CLI"
- Add RHEL registration to the CLI
- Check at least 2 l3 agents before trying to initialize neutron
- Adds sleep before calling post deploy config of Neutron
- Add plotnetcfg to Overcloud image builds
- Ensure that all parameters are strings when passed to Tuskar

* Mon Jul 06 2015 John Trowbridge <trown@redhat.com> 0.0.8-19
- Add RHEL registration to the CLI
- Check at least 2 l3 agents before trying to initialize neutron
- Adds sleep before calling post deploy config of Neutron
- Add plotnetcfg to Overcloud image builds
- Ensure that all parameters are strings when passed to Tuskar
- Merge "Add tools/run-tests.sh instead of run_tempest.sh" into rhos-7.0-patches

* Wed Jul 01 2015 Mike Burns <mburns@redhat.com> 0.0.8-18
- Check at least 2 l3 agents before trying to initialize neutron
- Adds sleep before calling post deploy config of Neutron

* Wed Jul 01 2015 Mike Burns <mburns@redhat.com> 0.0.8-17
- Add plotnetcfg to Overcloud image builds
- Ensure that all parameters are strings when passed to Tuskar
- Merge "Add tools/run-tests.sh instead of run_tempest.sh" into rhos-7.0-patches
- Merge "Use selinux=enforcing for Overlcoud image builds." into rhos-7.0-patches
- Add tools/run-tests.sh instead of run_tempest.sh

* Wed Jul 01 2015 Mike Burns <mburns@redhat.com> 0.0.8-16
- Add plotnetcfg to Overcloud image builds

* Tue Jun 30 2015 Mike Burns <mburns@redhat.com> 0.0.8-15
- Ensure that all parameters are strings when passed to Tuskar

* Mon Jun 29 2015 Mike Burns <mburns@redhat.com> 0.0.8-14
- Merge "Add tools/run-tests.sh instead of run_tempest.sh" into rhos-7.0-patches
- Merge "Use selinux=enforcing for Overlcoud image builds." into rhos-7.0-patches
- Add tools/run-tests.sh instead of run_tempest.sh
- rhbz#1193922 Save parameters that are generated on deployment
- Merge "Introduce sleep between sending nodes to introspection (bz #1234343)" into rhos-7.0-patches
- Use selinux=enforcing for Overlcoud image builds.
- Default VLAN range only gives 1 tenant network
- NeutronNetworkVLANRanges must be a range
- Don't unconditionally disable RHOS

* Fri Jun 26 2015 John Trowbridge <trown@redhat.com> 0.0.8-13
- Default VLAN range only gives 1 tenant network
- NeutronNetworkVLANRanges must be a range
- Don't unconditionally disable RHOS

* Thu Jun 25 2015 Mike Burns <mburns@redhat.com> 0.0.8-12
- NeutronNetworkVLANRanges must be a range rhbz#1235820

* Thu Jun 25 2015 Mike Burns <mburns@redhat.com> 0.0.8-11
- Don't unconditionally disable RHOS
- Merge "Revert "rhbz#1233090 Add sosreport element to overcloud images."" into rhos-7.0-patches
- Revert "rhbz#1233090 Add sosreport element to overcloud images."

* Thu Jun 25 2015 Mike Burns <mburns@redhat.com> 0.0.8-10
- Merge "Revert "rhbz#1233090 Add sosreport element to overcloud images."" into rhos-7.0-patches
- Revert "rhbz#1233090 Add sosreport element to overcloud images."
- BZ #1235314: --floating-id-cidr should be --floating-ip-cidr

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.0.8-9
- BZ #1235314: --floating-id-cidr should be --floating-ip-cidr
- rhbz#1235337 Fixing the deployments of named plans
- rhbz#1235000 Pass extra heat templates like heatclient

* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.0.8-8
- rhbz#1235000 Pass extra heat templates like heatclient
- rhbz#1233090 Add sosreport element to overcloud images.
- rhbz#1234673 Add heat parameters for CLI args when deploying t-h-t
- rhbz#1227873 Make scale parameters optional
- rhbz#1227873 Moving stack parameter defaults to undercloud create
- BZ #1233956: Add support for cinder v2 api

* Tue Jun 23 2015 Mike Burns <mburns@redhat.com> 0.0.8-7
- BZ #1233956: Add support for cinder v2 api
- rhbz#1234861 Move postconfig to deploy command

* Tue Jun 23 2015 Mike Burns <mburns@redhat.com> 0.0.8-6
- rhbz#1234861 Move postconfig to deploy command
- Merge "rhbz#1233201 Remove the `openstack overcloud scale stack` command" into rhos-7.0-patches
- Don't allow users to specify both a plan and T-H-T
- Fix the UUID attribute name
- Support getting the Tuskar plan by name or UUID when deploying
- rhbz#1233201 Remove the `openstack overcloud scale stack` command

* Tue Jun 23 2015 Mike Burns <mburns@redhat.com> 0.0.8-5
- Revert "rhbz#1233967 Use the python implementation of instack-install-undercloud"

* Mon Jun 22 2015 Mike Burns <mburns@redhat.com> 0.0.8-4
- rhbz#1233967 Use the python implementation of instack-install-undercloud
- rhbz#1233965 Increase the default timeout for a deploy to 60 mins

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.0.8-3
- Add baremetal configure ready state command

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.0.8-2
- Add baremetal configure ready state command rhbz#1229796

* Tue Jun 16 2015 Mike Burns <mburns@redhat.com> 0.0.8-1
- Update to upstream 0.0.8

* Mon Jun 15 2015 Mike Burns <mburns@redhat.com> 0.0.7-2
- update source file to match pypi

* Sat Jun 13 2015 Mike Burns <mburns@redhat.com> 0.0.7-1
- Update to upstream 0.0.7

* Fri Jun 12 2015 Mike Burns <mburns@redhat.com> 0.0.6-2
- Add overcloud validate command

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.0.6-1
- Update to upstream 0.0.6

* Fri May 08 2015 Mike Burns <mburns@redhat.com> - 0.0.0.post52-2
- Rebuild for RHEL OSP
- fix tripleo-common dep
* Thu Mar 19 2015 Brad P. Crochet <brad@redhat.com> - 0.1.0-1
- Initial package.
